NSR_CLIENT(5)

NAME
nsr_client - NetWorker resource type ``NSR client''

SYNOPSIS
type: NSR client

DESCRIPTION
Each NSR client is described by a single resource of type NSR client (see nsr_resource(5)). To edit the NSR client resources for a NetWorker server type:

    nsradmin -c "type:NSR client"

See the nsradmin(8) manual page for more information on using the NetWorker administration program. The client resource may also be edited using the command nwadmin(8).

For each NetWorker client, this resource describes which files should be saved, the schedule used to save these files, which directive should be used to omit files from the save, how long the files' index entries should be kept in the on-line file index and the media index, and who is allowed to back up, browse, and recover this client's files. A client may have more than one resource describing it.

ATTRIBUTES

The following attributes are defined for resource type NSR client. The information in parentheses describes how the attribute values are accessed. Read-only indicates that the value cannot be changed by an administrator. Read/write means the value can be set as well as read. Hidden means it is an attribute of interest only to programs or experts, and these attributes can only be seen when the hidden option is turned on in nsradmin(8) or by selecting the details Menu Item in the View Menu for a particular window in nwadmin(8). Dynamic attributes have values which change rapidly. Encrypted attributes contain data that is not displayed in its original form. The assumption is that the data is sensitive in nature and needs to be protected from accidental disclosure. Several additional attributes (e.g. administrator) are common to all resources, and are described in nsr_resource(5).

name			(read-only, single string)
    This attribute specifies the hostname of this NetWorker client.
    Example: name: venus;

server			(constant, single string)
    This attribute specifies the hostname of this client`s NetWorker server. The server`s hostname will be used as the default value.
    Example: server: jupiter;

archive services	(read/write, choice)
    This attribute determines if this system can use archive services. This attribute can only be set if archive support has been enabled on the server. The choices are enabled or disabled. Example: archive services: enabled;

schedule		(read/write, choice)
    This attribute specifies the name of the schedule controlling the backup levels for the save sets listed in the `save set' attribute. The default value is `Default'. Any currently defined schedule names may be used, see nsr_schedule(5).
    Example: schedule: Default;

browse policy		(read/write, choice)
    This attribute specifies the name of the policy controlling how long entries will remain in this client's on-line file index. The default value is `Month'. Any currently defined policy name may be used as long as the period defined by the policy is not longer than the retention policy's period, see nsr_policy(5).
    Example: browse policy: Month;

retention policy		(read/write, choice)
    This attribute specifies the name of the policy controlling how long entries will remain in the media index before they are marked as recyclable. The default value is `Year'. Any currently defined policy name may be used as long as the period defined by the policy is not shorter than the browse policy's period, see nsr_policy(5).
    Example: retention policy: Year;

directive		(read/write, choice)
    This attribute specifies the directive to use when backing up the client. The default value is NULL. The valid choices for the directive resource are names of the currently defined `NSR directive' resources, see nsr_directive(5).
    Example: directive: Unix with compression directives;

group			(read/write, choice list)
    This attribute specifies the group this client is a member of. The group controls the start time for automatic backups. The value may be one of currently defined `NSR group' resources, see nsr_group(5). The default value is `Default'.
    Example: group: Default;

save set			(read/write, list)
    The save set attribute lists the path names to be saved for this client. The names should be separated by comma space (, ). The default value is `All'. On Unix clients, `All' refers to the mounted file systems. On DOS clients, `All' refers to file systems that have been specified on the client via the `Change Automatic Backup' selection of the NetWorker for DOS. By default, all of a DOS client's hard disks are backed up.

    When a client needs to have different file systems saved on different schedules, a client resource is needed for each set of file systems on a particular schedule. For all the client resources with the same name in a group, a given path name may only appear once. When a client resource lists the save set `All', it must be the only client resource with it's name belonging to it's group.
    Example: save set: /, /usr, /usr/src;

priority			(hidden, read/write, choice)
    This attribute controls the backup priority of this client. Priority 1 is the highest, 1000 is the lowest. Automated savegrp's will attempt to back up clients with higher priorities before clients with lower priorities. Note that this is a hint only. The savegrp command has many parameters to consider, and may choose a lower priority client while trying to balance the load.
    Example: priority: 500;

remote access		(read/write, string list)
    This attribute controls who may back up, browse, and recover a client's files. By default this attribute is an empty list, signifying that only users on the client are allowed to back up, browse, and recover it's files. Additional users, hosts, and netgroups may be granted permission to access this client's files by adding their names to this attribute. Netgroup names must be preceded by an ampersand ('&'). Input of the form <user>@<host> or <host>/<user>, grants access to the client's files to the specified users. The <user> and/or <host> may be a wild card, "*". If a user name is a wild card, it means all users at the host are granted access to the client's data. When a host name is a wild card, that user on all hosts is granted access to the client's data. All users on a host may also be granted access to the client's data by just listing the host's name, i.e. <host> is equivalent to *@<host> or <host>/*. Note that this attribute does not override file system permissions, the user still needs the necessary file system permissions to back up, browse, or recover a file. The following example grants access to the client's data for all users that satisfy at least one of the following criteria, <user name, user's hostname, server's domain> is a member of the netgroup "netadmins", the user is from the host mars, the user is from the host jupiter, the user's name is sam from host pluto, or the user's id is root from any host.
    Example: remote access: &netadmins, mars, *@jupiter, sam@pluto, */root;

remote user		(read/write, string)
    This attribute has several uses. For those clients that are accessed via the rsh(1) protocol (new clients use nsrexecd(8) instead), this attribute specifies the user login name the NetWorker server will use to authenticate itself with the client. The default value is NULL, implying that `root' should be used. When savegrp -p (see savegrp(8)) is run on the NetWorker server, the server runs commands on the client to determine which files to save. Note that when the nsrexecd(8) protocol is used to access the client, the remote user attribute is not used for authentication.
    Certain clients, such as NetWare fileservers, use this attribute along with the password attribute, below, to gain access to the files being backed up. Other clients that back up application data, such as Sybase databases, use this attribute along with the password to gain access to the application data. There may be a different value of this attribute for each resource that describes the same client.
    NDMP clients use this attribute along with the password attribute to configure access to a NDMP server. The same username (remote user attribute) and password should be configured in the device resource as they are configured for the NDMP server.
    Example: remote user: operator;

password	(read/write, encrypted)
    The savegrp command uses this attribute when initiating the commands savefs and save on the client's machine. The commands savefs and save use the password to gain access to the files being backed up. If a password is given, then the "remote user" attribute for the client resource must also be defined. There may be a different value of this attribute for each resource that describes the same client. This attribute does not need to be set for existing Unix clients that are not backing up any application specific data.
    This attribute is also used in conjunction with the remote user attribute to configure access to a NDMP server.

backup command		(read/write, string)
    The remote command to run to backup data for this client and save sets. This command can be used to perform pre and post backup processing and defaults to the save command. The value must not include a path and must start with the prefix "save" or "nsr".
    Example: backup command: savemsg;

executable path		(read/write, string, hidden)
    This attribute specifies the path to use when the NetWorker server is executing commands on the client. When no path is specified, the "remote user's" $PATH is used.
    Example: executable path: /etc/nsr;

server network interface	(read/write, string, hidden)
    The name of the network interface on the server to be used for saves and recovers.
    Example: server network interface: mars-2;

aliases			(read/write, string list, hidden)
    This is a list of aliases (nicknames) for the client machine that queries can match. If this list is empty, match on client name alone.
    Example: aliases: mars;

owner notification	(read/write, hidden)
    A notification action to be executed to send the contents of status messages to the owner/primary user of a machine (e.g. savegrp completion messages).
    Example: owner notification: /usr/ucb/mail -s "mars' owner notification" carl@mars;

statistics		(constant, hidden, dynamic)
    This attribute contains three values: the size of the client's on-line file index in kilobytes, the number of kilobytes actually used, and the number of entries in the index.
    Example:
    statistics: elapsed = 1761860, index size (KB) = 776,
                amount used (KB) = 680, entries = 2216;

index save set		(update-only, hidden, dynamic)
    This attribute specifies the client file index save set to purge when the index operation is set to purging oldest cycle.
    Example: index save set: /;

index path		(read/write, hidden)
    This attribute is used to allow the NetWorker administrator to balance NetWorker online file index disk utilization across multiple disk partitions. If set, this attribute contains the full path to the directory containing the client's online file index. Note that the last component of the path must match the name attribute of the client resource (see above). If left blank, the index path defaults to the path /nsr/index/name, where name is the name attribute from the client resource.
    Example: index path: /disk2/index/venus;

index message		(update-only, hidden, dynamic)
    This attribute contains the ending status message for the previous index operation. This attribute is typically blank, indicating that the previous operation completed successfully.
    Example: index message:;

index operation start	(update-only, hidden, dynamic)
    This attribute contains the starting time of the current index operation. This attribute is a null string ("") when the operation is `Idle'. The format is weekday followed by hour and minutes.
    Example: index operation start: Wednesday 02:45;

index progress		(update-only, hidden, dynamic)
    This attribute contains the progress the index has made towards finishing the current task. This attribute is blank when the operation is `Idle'. The progress is expressed as a percentage.
    Example: index progress: 45;

index operation		(update-only, hidden, dynamic)
    This attribute contains the current index operation. It is normally `Idle'.
    Example: index operation: Reclaiming space;

parallelism		(read/write, hidden)
    This attribute specifies the maximum number of saves that should be run at the same time for the client.
    Example: parallelism: 2;

archive users		(read/write, string list)
    This attribute specifies a list of users that are allowed to use the archive services on the client. This attribute can only be set if archive support has been enabled on the server. To schedule an archive request for a client, root (or equivalent) must be on that client's Archive users list, or else root@client must be in the server's Administrator list. If no users are listed and the client resides in same machine as the server, only administrators and the local root user (that is, root@server) are allowed to use the archive services on the client. A value of '*' implies any user is allowed to archive or retrieve data. The '/' and '@' characters are not allowed as part of the user name.
    Example: archive users: paul;

application information		(read/write, hidden, string list)
    This attribute contains client application information. The use of this attribute is client specific and should be utilized as indicated by the documentation received with the product. NDMP clients fill in various parameters and values in this attribute separated by an equals sign ('=').
    Example: application information: HIST=yes;

NDMP 		(read/write, choice)
    This attribute indicates whether or not the client resource is configured for NDMP backups. If the client is used for NDMP backups, the remote user and password attributes must be filled in. The application information attribute may also be used.
    Example: ndmp: yes;

storage nodes		(read/write, string list)
    This is an ordered list of storage nodes for the client to use when saving its data. Its saves are directed to the first storage node that has an enabled device and a functional media daemon, nsrmmd(8). The default value of 'nsrserverhost' represents the server. See nsr_storage_node(5) for additional detail on storage nodes.

clone storage nodes		(read/write, string list)
    This is an ordered list of storage nodes for the storage node to use when its data is being cloned. Cloned data originating from the storage node will be directed to the first storage node that has an enabled device and a functional media daemon, nsrmmd(8). There is no default value. If this attribute has no value, the server's 'clone storage nodes' will be consulted. If this attribute also has no value, then the server's 'storage nodes' attribute will be used to select a target node for the clone. See nsr_storage_node(5) for additional detail on storage nodes.

EXAMPLES

Note: the hidden attributes are not shown in these examples.

A resource to define a client, called venus, backing up all of its files to the NetWorker server mars:

                        type: NSR client;
                        name: venus;
                      server: mars;
            archive services: Disabled;
                    schedule: Full Every Friday;
               browse policy: Month;
            retention policy: Quarter;
                   directive: Unix with compression directives;
                       group: Default;
                    save set: All;
               remote access: ;
                 remote user: ;
                    password: ;
              backup command: ;
                     aliases: venus, venus.legato.com;
               archive users: ;
               storage nodes: nsrserverhost;
         clone storage nodes: ;

The resources for a client backing up different file systems on different schedules:

                        type: NSR client;
                        name: saturn;
                      server: mars;
            archive services: Disabled;
                    schedule: Default;
               browse policy: Month;
            retention policy: Quarter;
                   directive: ;
                       group: engineering;
                    save set: /,  /usr,  /usr/src;
               remote access: venus, sam@*, jupiter/john;
                 remote user: operator;
                    password: ;
              backup command: ;
                     aliases: saturn.legato.com;
               archive users: ;
               storage nodes: nsrserverhost;
         clone storage nodes: ;
                        type: NSR client;
                        name: saturn;
                      server: mars;
            archive services: Disabled;
                    schedule: Full on 1st Friday of Month;
               browse policy: Month;
            retention policy: Quarter;
                   directive: Unix standard directives;
                       group: Default;
                    save set: /usr/src/archive;
               remote access: sam@venus, &netadmins, root@*;
                 remote user: operator;
                    password: ;
              backup command: ;
                     aliases: saturn.legato.com;
               archive users: ;
               storage nodes: nsrserverhost;
         clone storage nodes: ;

SEE ALSO
rsh(1), ruserok(3), nsr(5), nsr_schedule(5), nsr_directive(5), nsr_group(5), nsr_policy(5), nsr_storage_node(5), save(8), savegrp(8), savefs(8), nsradmin(8), nsrexecd(8), nwadmin(8).